/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import { c as e } from "../../chunks/runtime.js";
import { css as i, html as o } from "lit";
import { LitElement as s, nothing as t } from "@arcgis/lumina";
import { g as r } from "../../chunks/getItemIcon.js";
const n = i`.item-type-icon{@apply block h-4 pointer-events-none;margin-top:.15em!important;min-width:16px;fill:currentColor;transform:rotate(360deg)}.item-type-icon-margin{@apply m-inline-end-1.5;}`;
class m extends s {
  constructor() {
    super(...arguments), this.isPortal = !1, this.type = "", this.typeKeywords = [];
  }
  static {
    this.properties = { isPortal: 5, type: 1, typeKeywords: 0 };
  }
  static {
    this.styles = n;
  }
  render() {
    return o`<div title=${this.type ?? t}><img class="item-type-icon item-type-icon-margin" height=16 role=presentation src=${r(this.type, this.typeKeywords) ?? t} width=16></div>`;
  }
}
e("solution-item-icon", m);
export {
  m as SolutionItemIcon
};
